## ros-foxy-joy-teleop 1.3.0

=== debian/changelog ===
ros-foxy-joy-teleop (1.3.0-1focal) focal; urgency=high

  * launch: fix deprecated attributes
  * Fix some warnings from tests.
    In here are some flake8 fixes and fixes to the joy_teleop tests
    now that some of the error messages have changed.
  * Allow a value type within an axis mapping. Useful for frame data.
  * Add offsets to example yaml
  * add ci & lint
  * joy_teleop: convert current time to message type for timestamping
  * Contributors: AndyZe, Chris Lalancette, Kazunari Tanaka, Marcel Zeilinger, Russ Webber

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Nov 2022 00:00:00 -0000

ros-foxy-joy-teleop (1.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 29 Oct 2020 00:00:00 -0000

ros-foxy-joy-teleop (1.2.0-1focal) focal; urgency=high

  * Change the file mode of the python files in joy_teleop.
    They don't need to be executable.
  * Add in Python typing to joy_teleop.
    This also showed a few bugs.
  * Add a test for service becoming ready.
  * Add in tests for parameter failures.
  * Add a test for debouncing.
    The test works by having a subscription to the output topic.
    Every time the subscription is received, we increment a counter.
    There is also a timer callback that executes every 0.1 seconds,
    publishing the 'joy' message.  Like other tests, this publication
    toggles the button on and off to avoid debouncing.  Unlike other
    tests, once we have seen one message come in, we stop toggling
    and just set it to one all of the time to ensure debouncing
    works properly.
  * Add in a test for actions.
  * Add in tests for services.
  * Add a test for topic axis mappings.
  * Add in a test for a simple message.
  * Add in joy_teleop common testing tools.
    These will be used by the rest of the tests.
  * Add in unit tests for get_interface_type.
  * Rename test_pop257 -> test_pep257.
  * Rewrite to use classes instead of maps.
    This has a number of benefits:
    1.  I think it is much easier to read; the classes only implement
    the pieces they are concerned with.
    2.  Actions and services now automatically reconnect as action
    servers or service servers come and go.
    3.  It is easier to write tests for individual functionality.
    The API to this node stays the same; the parameters and topics
    that were used before are still honored.
  * Raise errors when parsing configuration fails.
    This lets the user know that their configuration is wrong
    much earlier.
  * Get rid of self.config.
    We never use it outside of the constructor, so just make it
    a local variable.
  * Rename al_clients -> action_clients.
  * Contributors: Chris Lalancette

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 15 Oct 2020 23:00:00 -0000

ros-foxy-joy-teleop (1.1.0-1focal) focal; urgency=high

  * Add the ability to have deadman axes. (#46 <https://github.com/ros-teleop/teleop_tools/issues/46>)
    * Add the ability to have deadman axes.
    Some controllers don't have a convenient shoulder trigger
    button, but do have shoulder "axes".  Allow the axes to
    be used for a deadman trigger, assuming they are pressed
    all the way.  Note that I used a dict for the list of
    axes, as this provides the most convenient way to deal
    with controllers that use 1.0, -1.0, or 0.0 as the "far"
    end of the axis.
    * Make sure to ignore buttons and axes that don't exist.
  * Contributors: Chris Lalancette

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Apr 2020 23:00:00 -0000

ros-foxy-joy-teleop (1.0.2-1focal) focal; urgency=high

  * Avoid halting on action server status checks. (#48 <https://github.com/ros-teleop/teleop_tools/issues/48>)
  * Depend action_tutorials_interfaces (#44 <https://github.com/ros-teleop/teleop_tools/issues/44>)
  * log JoyTeleopException (#41 <https://github.com/ros-teleop/teleop_tools/issues/41>)
  * Contributors: Michel Hidalgo, Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-foxy-joy-teleop (1.0.1-1focal) focal; urgency=high

  * Fix install rules and dashing changes (#38 <https://github.com/ros-teleop/teleop_tools/issues/38>)
    * fix ament indexing
    * fix package resource files
    * add tk depenndency
    * add check for param index-ability
    * data files are now package agnostic
    Signed-off-by: Ted Kern <mailto:ted.kern@canonical.com>
  * Contributors: Ted Kern

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 17 Sep 2019 23:00:00 -0000

ros-foxy-joy-teleop (1.0.0-1focal) focal; urgency=high

  * ROS2 port (#35 <https://github.com/ros-teleop/teleop_tools/issues/35>)
    * key_teleop pkg format 3
    * port teleop_tools_msgs
    * key_teleop catch KeyboardInterrupt
    * port mouse_teleop
    * add key_teleop.yaml
    * add xmllint test
    * fix xmllint tests
    * remove useless class KeyTeleop
    * Fixes for dynamic topic joy publishers
    - match_command() now compares button array length to the max
    deadman button index (apples to apples)
    - match_command function now checks if any of the deadman buttons
    are depressed before returning a match
    - properly handle a std_msgs/msg/Empty 'message_value' by not
    attempting to access its value
    - utilizes iter-items to correctly index into the config dict
    for 'axis_mappings''s 'axis' and 'button' values
    - set_member() now splits according to a dash (-) rather than a
    periond (.) to be consistent with ros2 param parsing & example yaml
    - adds the correct name to setup.py for test_key_teleop.py test
    * reduce copy/pasta
  * Contributors: Jeremie Deray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Sep 2019 23:00:00 -0000

ros-foxy-joy-teleop (0.3.0-1focal) focal; urgency=high

  * Fill in the timestamp of outgoing messages, if applicable.
  * add service example
  * Add option for persistent service, defaulted false

